aboutsummaryrefslogtreecommitdiffstats
path: root/docs/ci.sh
diff options
context:
space:
mode:
authorThomas Kriechbaumer <Kriechi@users.noreply.github.com>2020-04-12 22:06:22 +0200
committerGitHub <noreply@github.com>2020-04-12 22:06:22 +0200
commit30645fa1ac6fa828bda390383abee7c04f20206f (patch)
tree10b599dab550e06c6d2d9ffb37dd1a3cf783922a /docs/ci.sh
parentce50e8e52dc5316f9be29bc00d0dc72fc2b0af83 (diff)
parent55527c00eb35bf3b07b361363fd8ca2961afc8ba (diff)
downloadmitmproxy-30645fa1ac6fa828bda390383abee7c04f20206f.tar.gz
mitmproxy-30645fa1ac6fa828bda390383abee7c04f20206f.tar.bz2
mitmproxy-30645fa1ac6fa828bda390383abee7c04f20206f.zip
Merge pull request #3921 from Kriechi/example-docs
Example docs
Diffstat (limited to 'docs/ci.sh')
-rwxr-xr-xdocs/ci.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/docs/ci.sh b/docs/ci.sh
new file mode 100755
index 00000000..159d0b50
--- /dev/null
+++ b/docs/ci.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o pipefail
+set -o nounset
+# set -o xtrace
+
+# This script gets run from CI to render and upload docs for the master branch.
+
+./build.sh
+
+# Only upload if we have defined credentials - we only have these defined for
+# trusted commits (i.e. not PRs).
+if [[ ! -z "${AWS_ACCESS_KEY_ID}" && $GITHUB_REF == "refs/heads/master" ]]; then
+ aws s3 sync --acl public-read ./public s3://docs.mitmproxy.org/master
+ aws cloudfront create-invalidation --distribution-id E1TH3USJHFQZ5Q \
+ --paths "/master/*"
+fi